<?xml version="1.0" encoding = "Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.00"
	Name="e4lib"
	ProjectGUID="{7005EBB8-5876-43C7-BCBB-71FBA4BCDC9C}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory=".\..\..\..\builds\win32\lib"
			IntermediateDirectory=".\..\..\..\builds\msvc\e4lib\vc7\Debug"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\include,..\..\mkdriver,..\..\..\..\metakit-2.4.9.2\include"
				PreprocessorDefinitions="WIN32,_DEBUG,_LIB,E4_STATIC"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="2"
				PrecompiledHeaderFile=".\..\..\..\builds\msvc\e4lib\vc7\Debug/e4lib.pch"
				AssemblerListingLocation=".\..\..\..\builds\msvc\e4lib\vc7\Debug/"
				ObjectFile=".\..\..\..\builds\msvc\e4lib\vc7\Debug/"
				ProgramDataBaseFileName=".\..\..\..\builds\msvc\e4lib\vc7\Debug/"
				BrowseInformation="1"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				DebugInformationFormat="3"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\..\builds\win32\lib\e4libvc7_d.lib"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="mkdir ..\..\..\builds\win32\include
copy ..\..\include\e4graph.h ..\..\..\builds\win32\include
"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory=".\..\..\..\builds\win32\lib"
			IntermediateDirectory=".\..\..\..\builds\msvc\e4lib\vc7\Release"
			ConfigurationType="4"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="2">
			<Tool
				Name="VCCLCompilerTool"
				InlineFunctionExpansion="1"
				AdditionalIncludeDirectories="..\..\include,..\..\mkdriver,..\..\..\..\metakit-2.4.9.2\include"
				PreprocessorDefinitions="WIN32,NDEBUG,_LIB,E4_STATIC,q4_INLINE"
				StringPooling="TRUE"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="TRUE"
				UsePrecompiledHeader="2"
				PrecompiledHeaderFile=".\..\..\..\builds\msvc\e4lib\vc7\Release/e4lib.pch"
				AssemblerListingLocation=".\..\..\..\builds\msvc\e4lib\vc7\Release/"
				ObjectFile=".\..\..\..\builds\msvc\e4lib\vc7\Release/"
				ProgramDataBaseFileName=".\..\..\..\builds\msvc\e4lib\vc7\Release/"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				CompileAs="0"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLibrarianTool"
				OutputFile="..\..\..\builds\win32\lib\e4libvc7.lib"
				SuppressStartupBanner="TRUE"/>
			<Tool
				Name="VCMIDLTool"/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="mkdir ..\..\..\builds\win32\include
copy ..\..\include\e4graph.h ..\..\..\builds\win32\include
"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;rc;def;r;odl;idl;hpj;bat">
			<File
				RelativePath="..\..\intf\e4id.cpp">
			</File>
			<File
				RelativePath="..\..\intf\e4node.cpp">
			</File>
			<File
				RelativePath="..\..\intf\e4nvisitor.cpp">
			</File>
			<File
				RelativePath="..\..\intf\e4pvisitor.cpp">
			</File>
			<File
				RelativePath="..\..\intf\e4refcount.cpp">
			</File>
			<File
				RelativePath="..\..\intf\e4storage.cpp">
			</File>
			<File
				RelativePath="..\..\intf\e4svisitor.cpp">
			</File>
			<File
				RelativePath="..\..\intf\e4vertex.cpp">
			</File>
			<File
				RelativePath="..\..\intf\e4vvisitor.cpp">
			</File>
			<File
				RelativePath="..\..\impl\i4drivers.cpp">
			</File>
			<File
				RelativePath="..\..\impl\i4dstring.cpp">
			</File>
			<File
				RelativePath="..\..\impl\i4hash.cpp">
			</File>
			<File
				RelativePath="..\..\impl\i4intstack.cpp">
			</File>
			<File
				RelativePath="..\..\impl\i4node.cpp">
			</File>
			<File
				RelativePath="..\..\impl\i4storage.cpp">
			</File>
			<File
				RelativePath="..\..\impl\i4vertex.cpp">
			</File>
			<File
				RelativePath="..\..\mkdriver\mkstorage.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl">
			<File
				RelativePath="..\..\include\e4graph.h">
			</File>
			<File
				RelativePath="..\..\include\e4graphimpl.h">
			</File>
			<File
				RelativePath="..\..\..\..\metakit-2.4.9.2\include\mk4.h">
			</File>
			<File
				RelativePath="..\..\mkdriver\mkstorage.h">
			</File>
		</Filter>
		<File
			RelativePath="..\..\..\..\metakit-2.4.9.2\builds\mk4vc70s.lib">
			<FileConfiguration
				Name="Debug|Win32"
				ExcludedFromBuild="TRUE">
				<Tool
					Name="VCCustomBuildTool"/>
			</FileConfiguration>
		</File>
		<File
			RelativePath="..\..\..\..\metakit-2.4.9.2\builds\mk4vc70s_d.lib">
			<FileConfiguration
				Name="Release|Win32"
				ExcludedFromBuild="TRUE">
				<Tool
					Name="VCCustomBuildTool"/>
			</FileConfiguration>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
